B

5 Messages

 • 

110 Points

Sun, Dec 6, 2020 1:36 PM

ZD1200 10.1.2.0 build 318

I have a ZD1200 handling 6 AP's currently running this code.  I'd like to get it upgraded to some newer code.  I've been through release notes for all the 10.2 and 10.3 code and can't seem to find a supported upgrade path to get me on either 10.3 or 10.4, unless I've totally missed it.  Can anybody get me pointed in the right direction please?

179 Messages

 • 

3.1K Points

1 y ago

What AP models are you using?

5 Messages

 • 

110 Points

H510 and H320's

Employee

 • 

340 Messages

 • 

6.4K Points

1 y ago

Hi Brandon,

The information you require is definitely in the ZD Firmware release notes.  For 10.4 Refresh 2, it's on page 6 and states the following:

HTH,
Darrel.

5 Messages

 • 

110 Points

Darrel,

My issue is I can't find anything below that listed as a supported upgrade path from the code I'm on?  As I worked to upgrade the device as it was originally on 9.3.something I was always able to find code listed in the release notes that showed me which version I could go to from the version I had been on for each incremental upgrade.

Official Rep

 • 

1.3K Messages

 • 

17.7K Points

Hi Brandon,

If you can confirm the current ZD version, I can provide you the correct upgrade path. However, you can do this on your own by reading the support information in a particular manner and sequence.

For example, I have a ZD1200 running on 9.13.x version and I wish to upgrade to 10.2.1 (which is currently marked as recommended version for ZD1200). In this case, I will review below information in release notes.

  1. Open the release nodes of the desired version which you wish to upgrade to (in my example, it is 10.2.1).
  2. Find the lowest version from which you can jump to 10.2.1 in "Upgrade path" section. In this case it is 10.0.0.0.xxx mentioned in the release notes of 10.2.1
  3. Now open release notes of 10.0.0.0 and find the lowest version from which you can jump to 10.0.0.0. In the release notes of 10.0.0.0, you will find that lowest version is 9.12.0.0 from which you can upgrade to 10.0.0.0 directly. However, you are currently on 9.13.3, which is also in the list of supported upgrade path of 10.0.0.0 release notes.
  4. Now you can conclude, in order to upgrade to 10.2.1 from 9.13.3, upgrade path will be:

9.13.3 (currently running version) >> 10.0.0.0.xxx >> 10.2.1.0.xxx (desired version).

You can follow the same way to find the upgrade path from any version to any.

(edited)

Regards,

Syamantak Omer

Official Rep | Staff TSE | CWNA | CCNA | RASZA | RICXI

Follow me on Linkedin

5 Messages

 • 

110 Points

Syamantak,

Thank you for your reply.  I'm currently running 10.1.2.0 build 318.  I'd like to get upgraded to a recommended version in the 10.3 or 10.4 trains.

Official Rep

 • 

1.3K Messages

 • 

17.7K Points

Is there any specific reason for the upgrade?

I suggest NOT to upgrade beyond the recommend version, if you are not facing any issue which is fixed on new version or a new feature which is not available in the currently running version.

Regards,

Syamantak Omer

Official Rep | Staff TSE | CWNA | CCNA | RASZA | RICXI

Follow me on Linkedin

5 Messages

 • 

110 Points

If I'm on the best possible code, then I'll just stay there.  I generally like to get running newer code to handle bugfixes/security vulnerabilities/etc.

18 Messages

 • 

230 Points

1 y ago

Unless there is a specific need to update the firmware, ie. to support a new AP model or a specific new feature you are better off sticking on the version you are on as that is a newer refresh of the recommended Ruckus firmware for that model.

477 Messages

 • 

5.9K Points

I agree with Paul, don't upgrade if everything works and there is no real need.

Important Announcement